Bug 525514 - Xfburn cannot blank mounted disk
Summary: Xfburn cannot blank mounted disk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfburn
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 17:01 UTC by Jiri Koten
Modified: 2010-02-09 05:04 UTC (History)
2 users (show)

Fixed In Version: 0.4.2-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-29 14:07:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xfce 5788 None None None Never

Description Jiri Koten 2009-09-24 17:01:55 UTC
Description of problem:
Xfburn cannot blank disc which is mounted - it complains "Cannot access drive (it might be in use)". The problem is that in Xfce a disk is auto mounted when you insert it but there is no option to unmount it only to eject. Because of this xfburn should unmout a disk when you want to erase it.  


Version-Release number of selected component (if applicable):
fedora-release-11.91-3
Xfce 4.6.1
xfburn-0.4.2-1.fc12.x86_64



How reproducible:
100%

Steps to Reproduce:
1.run xfburn
2.insert a RW disk with some data on it
3.Blank Disc
  
Actual results:
xfburn complains "Cannot access drive"

Expected results:
xfburn unmount a disk and blank it.

Comment 1 Jiri Koten 2009-09-24 17:02:38 UTC
$ xfburn 
** Message: Using Thunar-VFS 1.0.1
** Message: Using HAL
** Message: Using gstreamer transcoder.
       
** (xfburn:4682): WARNING **: Unable to grab the drive at path '/dev/sr0' (ret=0).

** (xfburn:4682): WARNING **: Couldn't grab drive in order to update speed list.

** (xfburn:4682): WARNING **: Unable to grab the drive at path '/dev/sr0' (ret=0).

** (xfburn:4682): WARNING **: Couldn't grab drive in order to update speed list.

Comment 2 Christoph Wickert 2009-09-24 22:53:15 UTC
Thanks for your report. Ineed, this is a very annoying one.

Forwarded upstream as http://bugzilla.xfce.org/show_bug.cgi?id=5788

Comment 3 Christoph Wickert 2009-10-30 00:01:01 UTC
After applying the necessary patches from bug 525515 and bug 525518, disks now get unmounted when xfburn starts. However if you insert the disk after starting the application, the problem remains.

Comment 4 Bug Zapper 2009-11-16 12:51:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora Update System 2010-01-29 13:52:55 UTC
xfburn-0.4.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xfburn-0.4.2-3.fc12

Comment 6 Fedora Update System 2010-01-29 13:53:20 UTC
xfburn-0.4.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xfburn-0.4.2-3.fc11

Comment 7 Fedora Update System 2010-02-09 05:02:49 UTC
xfburn-0.4.2-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-02-09 05:04:25 UTC
xfburn-0.4.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.